#!/usr/bin/env ruby

# Copyright (c) 2010 Microsoft Corp.
# License: ?

require 'rubygems'
require 'ruby-aws'

module MOS
class Assignment
	attr_accessor :assignmentId, :status, :workerId, :submitTime, :workingTime, :headphones
	attr_reader   :answer

	def initialize(answer, input)
		@assignmentId = answer.delete(:AssignmentId)
		@status       = answer.delete(:Status)
		@workerId     = answer.delete(:WorkerId)
		@submitTime   = answer.delete(:SubmitTime)
		@workingTime  = answer.delete(:WorkingTime)
		@bonus        = answer.delete(:Bonus)
		@headphones   = answer.delete(:headphones)
		@comments     = answer.delete(:comments)
				answer.delete(:reference)

		@answer = {}
		answer.each_pair do |identifier, score|
			sentence = input[identifier][:sentence].to_sym
			algorithm = input[identifier][:algorithm].to_sym
			@answer[algorithm] ||= {}
			@answer[algorithm][sentence] = score
		end
	end

end	# Assignment
end	# MOS

